#if !defined(USERPLAYER_HPP)
#define USERPLAYER_HPP

#include "chess.hpp"
#include "player.hpp"

// player whose moves are selected by the user
class USERPLAYER : public PLAYER
  {
  public:
    USERPLAYER(PIECECOLOR color) : PLAYER(color) { }

    virtual GAMESTATUS play(BOARD &board) const;

  };

#endif
